Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Configuration_header.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Configuration_header.cpp	(revision 136)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Configuration_header.cpp	(revision 137)
@@ -7,5 +7,5 @@
 
 #include "Behavioural/Configuration/include/Configuration.h"
-#include "Behavioural/include/Version.h"
+#include "Common/include/Environment.h"
 
 namespace morpheo {
@@ -18,4 +18,6 @@
   {
     log_begin(Configuration,FUNCTION);
+
+    environment();
 
     std::string str = "";
@@ -52,6 +54,6 @@
     str += toString(MSG_INFORMATION)+"\n";
     str += toString(MSG_INFORMATION)+_("  * Multiple ORganization of a Processor with HEterogeneous and Open architecture\n");
-    str += toString(MSG_INFORMATION)+_("  * Version            : ")+toString(MORPHEO_HEADER)+"\n";
-    str += toString(MSG_INFORMATION)+_("  * Last change        : ")+toString(MORPHEO_DATE  )+"\n";
+    str += toString(MSG_INFORMATION)+_("  * Version            : ")+MORPHEO_HEADER+"\n";
+    str += toString(MSG_INFORMATION)+_("  * Last change        : ")+MORPHEO_DATE  +"\n";
     str += toString(MSG_INFORMATION)+_("  * E-mail support     : mathieu.rosiere@lip6.fr\n"      );
     str += toString(MSG_INFORMATION)+_("  * Original author(s) : Mathieu  Rosière\n"             );
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_fromXMLLight.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_fromXMLLight.cpp	(revision 136)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_fromXMLLight.cpp	(revision 137)
@@ -27,4 +27,7 @@
     XMLLightVector<XML_t> vect = xml->getNodes(); 
 
+    log_printf(TRACE,Configuration,FUNCTION,"  * id         : %s",id.c_str());
+    log_printf(TRACE,Configuration,FUNCTION,"  * size       : %d",vect.size());
+
     for (uint32_t i=0; i<vect.size(); ++i)
       {
@@ -33,5 +36,5 @@
         std::string child_name = child->getName();
 
-//         log_printf(TRACE,Configuration,FUNCTION,"  * child_name : %s",child_name.c_str());
+        log_printf(TRACE,Configuration,FUNCTION,"  * child_name : %s",child_name.c_str());
 
         //--------------------------------------------
@@ -47,5 +50,5 @@
             attribute_t  value      = getAttribute(child,attributes,"value");
 
-//             log_printf(TRACE,Configuration,FUNCTION,"    * parameter \"%s\" = %s",value_name.c_str(), value.c_str());
+            log_printf(TRACE,Configuration,FUNCTION,"    * parameter \"%s\" = %s",value_name.c_str(), value.c_str());
             
             testAttributesEmpty(child,attributes);
@@ -75,5 +78,5 @@
             attribute_t  value_name = getAttribute(child,attributes,"name");
 
-//             log_printf(TRACE,Configuration,FUNCTION,"    * link  \"%s\"",value_name.c_str());
+            log_printf(TRACE,Configuration,FUNCTION,"    * link  \"%s\"",value_name.c_str());
             
             // Test, must have src or dest (or twice)
@@ -118,5 +121,5 @@
         if (child_name == "timing")
           {
-//             log_printf(TRACE,Configuration,FUNCTION,"    * timing");
+            log_printf(TRACE,Configuration,FUNCTION,"    * timing");
 
             // Notation :
@@ -196,5 +199,5 @@
         else
           {
-//             log_printf(TRACE,Configuration,FUNCTION,"    * component");
+            log_printf(TRACE,Configuration,FUNCTION,"    * component");
 
             testSingleton  (child,false);        
@@ -229,5 +232,5 @@
                 attribute_t value_id  = value_ids.substr(index_min, index_max);
 
-//                 log_printf(TRACE,Configuration,FUNCTION,"    * component \"%s\" - %s",value_type.c_str(), value_id.c_str());
+                log_printf(TRACE,Configuration,FUNCTION,"    * component \"%s\" - %s",value_type.c_str(), value_id.c_str());
 
                 index_begin = index_end;
@@ -238,6 +241,6 @@
                                                                       value_id);
               
-//                log_printf(TRACE,Configuration,FUNCTION,"%s.%s",value_type.c_str(),value_id.c_str());
-//                log_printf(TRACE,Configuration,FUNCTION,"  * %d",((*list_components)[value_type]).size());
+                  // log_printf(TRACE,Configuration,FUNCTION,"%s.%s",value_type.c_str(),value_id.c_str());
+                  // log_printf(TRACE,Configuration,FUNCTION,"  * %d",((*list_components)[value_type]).size());
               
                   // Test if this id is previously used
